developers.webhook.update
curl --request POST \
--url https://platform.trylath.com/developers/webhook/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"<string>"
],
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpointId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
url: '<string>',
eventTypes: ['<string>'],
description: '<string>'
})
};
fetch('https://platform.trylath.com/developers/webhook/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/developers/webhook/update"
payload = {
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": ["<string>"],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/developers/webhook/update"
payload := strings.NewReader("{\n \"endpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ],\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"<string>"
],
"description": "<string>",
"disabledAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}developers.webhook.update
Changes a webhook endpoint’s URL, event filter or description. The secret does not change.
POST
/
developers
/
webhook
/
update
developers.webhook.update
curl --request POST \
--url https://platform.trylath.com/developers/webhook/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"<string>"
],
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpointId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
url: '<string>',
eventTypes: ['<string>'],
description: '<string>'
})
};
fetch('https://platform.trylath.com/developers/webhook/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/developers/webhook/update"
payload = {
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": ["<string>"],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/developers/webhook/update"
payload := strings.NewReader("{\n \"endpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ],\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"<string>"
],
"description": "<string>",
"disabledAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum array length:
100Required string length:
1 - 120Maximum string length:
200Last modified on September 13, 2026
Was this page helpful?

